dpkg-query(1)

NAZWA
dpkg-query - narzędzie przepytywania bazy danych dpkg

SKŁADNIA
dpkg-query [opcja...] polecenie

OPIS
dpkg-query jest narzędziem służącym do pokazywania informacji o pakietach wymienionych w bazie danych dpkg.

POLECENIA

-l, --list wzorzec-nazwy-pakietu...
    Wypisuje listę pakietów odpowiadających podanemu wzorcu nazwy. Jeśli nie podano wzorca-nazwy-pakietu, wypisuje listę wszystkich pakietów z pliku /var/lib/dpkg/status, pomijając jednak te, które są oznaczone jako niezainstalowane (czyli takie, które zostały uprzednio wyczyszczone z plików konfiguracyjnych - purge). Do wzorca-nazwy-pakietu można wpisać znaki specjalne powłoki (wildcards). Prawdopodobnie potrzebne będzie zacytowanie wzorca-nazwy-pakietu, aby powłoka nie rozwinęła tego wzorca. Na przykład, poniższe polecenie wypisze nazwy wszystkich pakietów zaczynających się od "libc6":
     dpkg-query -l 'libc6*'
    The first three columns of the output show the desired action, the package status, and errors, in that order. Desired action:
      u = Unknown
      i = Install
      h = Hold
      r = Remove
      p = Purge
    Package status:
      n = Not-installed
      c = Config-files
      H = Half-installed
      U = Unpacked
      F = Half-configured
      W = Triggers-awaiting
      t = Triggers-pending
      i = Installed
    Error flags:
      <empty> = (none)
      R = Reinst-required
    An uppercase status or error letter indicates the package is likely to cause severe problems. Please refer to dpkg(1) for information about the above states and flags. Format wyjścia tej opcji nie jest konfigurowalny, ale automatycznie się zmienia, dostosowując się do szerokości terminalu. Jest to przeznaczone dla ludzi i nie musi być łatwo parsowalne przez maszynę. Patrz opcje -W (--show) and --showformat, aby dowiedzieć się, jak skonfigurować format wyjścia.

-W, --show wzorzec-nazwy-pakietu...
    Zupełnie tak jak opcja --list, ta opcja wyświetli wszystkie pakiety pasujące do danego wzorca. Jednakże użytkownik może dostosować format wyjścia do swoich potrzeb za pomocą opcji --showformat. W domyślnym formacie dla każdego pasującego pakietu wyświetlana jest pojedyncza linia zawierająca jego nazwę oraz - po znaku tabulacji - zainstalowaną wersję.

-s, --status nazwa-pakietu...
    Podanie stanu pakietu o podanej nazwie. Polecenie po prostu wyświetli informacje, które znajdują się w bazie danych pakietów.

-L, --listfiles nazwa-pakietu...
    Podanie listy plików zainstalowanych z nazwy-pakietu. Jednakże pliki, które zostały utworzone przez skrypty instalacyjne pakietu, nie będą podane.

-c, --control-path nazwa-pakietu [plik-kontrolny]
    Wyświetla listę ścieżek dla plików kontrolnych instalowanych w systemie przez pakiet o podanej nazwie-pakietu. Jeśli podany jest plik-kontrolny, wyświetlana jest jedynie ścieżka dla tego pliku kontrolnego, o ile tylko istnieje. Uwaga: to polecenie jest połowicznie publiczne, powinno być używane tylko w ostateczności jeśli żaden inny interfejs nie jest dostępny. Może zostać uznane za przestarzałe jeśli powstaną lepsze interfejsy lub zostaną rozwiązane bieżące niedostatki architektoniczne.

-S, --search wzorzec-wyszukiwania-nazwy-pliku...
    Szukanie pliku o podanym wzorcu pośród zainstalowanych pakietów. Wzorzec może zawierać zwykłe operatory powtórzenia. Polecenie to nie wyszuka dodatkowych plików tworzonych przez skrypty instalacyjne pakietów oraz nie wyświetli alternatyw.

-p, --print-avail nazwa-pakietu...
    Wyświetla szczegółowe informacje na temat pakietu nazwa-pakietu, pochodzące z pliku /var/lib/dpkg/available. Użytkownicy nakładek opartych o APT powinni używać apt-cache show package-name zamiast tej opcji, ponieważ plik available jest utrzymywany w aktualności jedynie przy użyciu dselect.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

OPCJE

--admindir=katalog
    Zmienia położenie bazy danych dpkg. Domyślnie jest to /var/lib/dpkg.

-f, --showformat=format
    Opcja jest używana do podania formatu wyjścia produkowanego przez --show. Format jest łańcuchem znaków, który będzie wyświetlony dla każdego wypisanego pakietu. W łańcuchu formatu, “\” jest znakiem cytowania:
        \n  nowa linia
        \r  powrót karetki
        \t  tabulacja
    “\” poprzedzający jakikolwiek inny znak znosi specjalne znaczenie następującego po nim znaku, co może być przydatne dla “\” oraz “$”. Informacje o pakiecie można wyświetlać, dodając odwołania do pól pakietu z użyciem składni “${pole[;szerokość]}”. Pola są wyrównywane do prawej strony, chyba że szerokość jest liczbą ujemną, w którym to wypadku będzie użyte wyrównanie do lewej strony. Rozpoznawane są następujące pola, ale niekoniecznie są one włączane w pliku statusu (trafiają tam tylko pola wewnętrzne lub pola zawarte w binarnym pakiecie):
        Architecture
        Bugs
        Conffiles (wewnętrzne)
        Config-Version (wewnętrzne)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (wewnętrzne, związane z dselect)
        Homepage
        Installed-Size
        MD5sum (wewnętrzne, związane z dselect)
        MSDOS-Filename (wewnętrzne, związane z dselect)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (przestarzałe)
        Section
        Size (wewnętrzne, związane z dselect)
        Source
        Status (wewnętrzne)
        Suggests
        Tag (zwykle nie w .deb, ale w plikach Packages systemu APT)
        Triggers-Awaited (wewnętrzne)
        Triggers-Pending (wewnętrzne)
        Version
    Domyślnym formatem jest “${Package}\t${Version}\n”. Można również zażądać wszystkich pozostałych pól z pliku status (tj. pól zdefiniowanych przez użytkownika). Zostaną one wypisane w takiej postaci, w jakiej znajdują się w pliku status, nie będzie więc dokonywana żadna konwersja czy sprawdzanie błędów. Aby wyświetlić nazwę opiekuna pakietu dpkg i zainstalowaną wersję tego pakietu, można uruchomić:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

KOD WYJŚCIA

0   The requested query was successfully performed.

1   Problems were encountered while parsing the command line or performing the query, including no file or package being found (except for --control-path).

ŚRODOWISKO

COLUMNS
    Zmienna ta wpływa na wyjście polecenia --list, zmieniając jego szerokość.

AUTOR
Copyright © 2001 Wichert Akkerman

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

ZOBACZ TAKŻE
dpkg(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008